Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.user.api
Interface UserInfo

public interface UserInfo

Method Summary
`void` | `deleteWLIUserInfo(String userid)` Removes this user information from the WLI database
`String` | `getUserCalendarId(String userid)` Retrieve the calendar id for this user
`String` | `getUserEmail(String userid)` Retrieve the email address for this user.
`boolean` | `groupExistsWLS(String groupId)`
`void` | `sync()` Removes all users from the WLI database that do not exist in WLS
`void` | `unsetUserCalendar(String userid)` Unsets the calendar for this user.
`void` | `updateUserCalendar(String userid, String calendarId)` Sets the calendar for this user.
`void` | `updateUserEmail(String userid, String email)` Sets the email address for this user.

Method Detail

### updateUserEmail

    public void updateUserEmail(String userid,
                                String email)
                         throws UserInfoException,
                                RemoteException

  Sets the email address for this user. A user record is created if it does not exist in the WLI database. Exception is thrown if the user is not a valid WLS user.

  Parameters:
    `userid` -
    `email` -
  Throws:
    `UserInfoException`
    `RemoteException`

### getUserEmail

    public String getUserEmail(String userid)
                        throws UserInfoException,
                               RemoteException

  Retrieve the email address for this user.

  Parameters:
    `userid` -
  Returns:
    The email address of the user or null if there is no email address is found.
  Throws:
    `UserInfoException`
    `RemoteException`

### updateUserCalendar

    public void updateUserCalendar(String userid,
                                   String calendarId)
                            throws UserInfoException,
                                   RemoteException

  Sets the calendar for this user. A user record is created if it does not exist in the WLI database. Exception is thrown if the calendar does not exist or the user is not a valid WLS user.

  Parameters:
    `userid` -
    `calendarId` -
  Throws:
    `UserInfoException`
    `RemoteException`

### unsetUserCalendar

    public void unsetUserCalendar(String userid)
                           throws UserInfoException,
                                  RemoteException

  Unsets the calendar for this user.

  Parameters:
    `userid` -
  Throws:
    `UserInfoException`
    `RemoteException`

### getUserCalendarId

    public String getUserCalendarId(String userid)
                             throws UserInfoException,
                                    RemoteException

  Retrieve the calendar id for this user

  Parameters:
    `userid` -
  Returns:
    The calendar id for the user or null if there is no calendar.
  Throws:
    `UserInfoException`
    `RemoteException`

### deleteWLIUserInfo

    public void deleteWLIUserInfo(String userid)
                           throws UserInfoException,
                                  RemoteException

  Removes this user information from the WLI database

  Parameters:
    `userid` -
  Throws:
    `UserInfoException`
    `RemoteException`

### sync

    public void sync()
              throws UserInfoException,
                     RemoteException

  Removes all users from the WLI database that do not exist in WLS

  Throws:
    `UserInfoException`
    `RemoteException`

### groupExistsWLS

    public boolean groupExistsWLS(String groupId)
                           throws UserInfoException,
                                  RemoteException

  Parameters:
    `groupId` -
  Returns:
  Throws:
    `UserInfoException`
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD